Page MenuHomePhabricator

[libclang] Fix CXTranslationUnit_KeepGoing
ClosedPublic

Authored by nik on Feb 21 2019, 4:03 AM.

Details

Summary

Since

commit 56f548bbbb7e4387a69708f70724d00e9e076153
[modules] Round-trip -Werror flag through explicit module build.

the behavior of CXTranslationUnit_KeepGoing changed:
Unresolved #includes are fatal errors again. As a consequence, some
templates are not instantiated and lead to confusing errors.

Revert to the old behavior: With CXTranslationUnit_KeepGoing fatal
errors are mapped to errors.

Diff Detail

Repository
rL LLVM

Event Timeline

nik created this revision.Feb 21 2019, 4:03 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 21 2019, 4:03 AM
nik added a reviewer: rsmith.Feb 21 2019, 4:04 AM
nik added a subscriber: yvvan.
nik updated this revision to Diff 187765.Feb 21 2019, 4:22 AM

Fixed minor typo.

yvvan accepted this revision.Feb 22 2019, 2:36 AM
This revision is now accepted and ready to land.Feb 22 2019, 2:36 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 7 2019, 2:14 AM